# $Revision: 1.4 $, $Date: 2012/03/13 08:55:23 $
%define		_state		stable
%define		kdever		4.8.0
%define		qtver		4.8.0
%define		orgname		kdevelop-pg-qt

Summary:	The parser-generator from KDevplatform
Name:		kde4-kdevelop-pg-qt
Version:	1.0.0
Release:	1
License:	GPL
Group:		X11/Development/Tools
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{orgname}/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	155f4e9a3a6d34ebe756c2a16169706f
URL:		http://www.kdevelop.org/
BuildRequires:	automoc4
BuildRequires:	bison
BuildRequires:	cmake >= 2.8.0
BuildRequires:	flex
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDevelop-PG-Qt is the parser-generator from KDevplatform. It is used
for some KDevelop-languagesupport-plugins (Ruby, PHP, Java...).

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_desktopdir}
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kdev-pg-qt
%{_includedir}/%{orgname}
%{_libdir}/cmake/KDevelop-PG-Qt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdevelop-pg-qt.spec,v $
Revision 1.4  2012/03/13 08:55:23  arekm
- up to 1.0.0

Revision 1.3  2011/04/09 21:21:21  august84
- up to 0.9.5
- adjusted to new cmake macro

Revision 1.2  2011/01/22 16:44:05  sparky
- BR: bison, flex

Revision 1.1  2010/10/26 19:21:01  arekm
- initial


